cURL
curl --request POST \
--url https://app.teable.ai/api/base/%7BbaseId%7D/chat/execute-script \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"code":"string","input":{"property1":null,"property2":null},"integrationIds":["string"],"dependencies":[{"name":"string","version":"string"}]}'{
"success": true,
"result": {},
"logs": {
"stdout": "<string>",
"stderr": "<string>"
},
"executionTime": 123,
"error": "<string>"
}chat
Post base chatexecute script
Execute TypeScript code in sandbox for chat tools
POST
/
base
/
{baseId}
/
chat
/
execute-script
cURL
curl --request POST \
--url https://app.teable.ai/api/base/%7BbaseId%7D/chat/execute-script \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"code":"string","input":{"property1":null,"property2":null},"integrationIds":["string"],"dependencies":[{"name":"string","version":"string"}]}'{
"success": true,
"result": {},
"logs": {
"stdout": "<string>",
"stderr": "<string>"
},
"executionTime": 123,
"error": "<string>"
}授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
路径参数
请求体
application/json
Last modified on March 5, 2026
此页面对您有帮助吗?
⌘I

